Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSAttributeGroupDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSAttributeGroupDecl

public class XSAttributeGroupDecl
extends java.lang.Object
implements weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition

The XML representation for an attribute group declaration schema component is a global element information item

Field Summary
`XSWildcardDecl` | `fAttributeWC`
`java.lang.String` | `fIDAttrName`
`java.lang.String` | `fName`
`java.lang.String` | `fTargetNamespace`

Constructor Summary
`XSAttributeGroupDecl()`

Method Summary
`java.lang.String` | `addAttributeUse(XSAttributeUseImpl attrUse)`
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Optional.
`XSAttributeUseImpl` | `getAttributeUse(java.lang.String uri, java.lang.String localpart)`
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getAttributeUses()` {attribute uses} A set of attribute uses.
`weblogic.apache.xerces.impl.xs.psvi.XSWildcard` | `getAttributeWildcard()` {attribute wildcard} Optional.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`void` | `removeProhibitedAttrs()`
`void` | `reset()`
`java.lang.String` | `validRestrictionOf(XSAttributeGroupDecl baseGroup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fAttributeWC

    public XSWildcardDecl fAttributeWC

### fIDAttrName

    public java.lang.String fIDAttrName

Constructor Detail

### XSAttributeGroupDecl

    public XSAttributeGroupDecl()

Method Detail

### addAttributeUse

    public java.lang.String addAttributeUse(XSAttributeUseImpl attrUse)

### getAttributeUse

    public XSAttributeUseImpl getAttributeUse(java.lang.String uri,
                                              java.lang.String localpart)

### removeProhibitedAttrs

    public void removeProhibitedAttrs()

### validRestrictionOf

    public java.lang.String validRestrictionOf(XSAttributeGroupDecl baseGroup)

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### getAttributeUses

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getAttributeUses()

  {attribute uses} A set of attribute uses.
  Specified by:
    getAttributeUses in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition

### getAttributeWildcard

    public weblogic.apache.xerces.impl.xs.psvi.XSWildcard getAttributeWildcard()

  {attribute wildcard} Optional. A wildcard.
  Specified by:
    getAttributeWildcard in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    getAnnotation in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD